MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025973Open CASCADE[OCCT] OCCT:Visualizationpublic2015-03-23 18:402015-07-28 16:20
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025973: Visualization, TKOpenGl - support EAGLContext as alternative to NSOpenGLContext
DescriptionWithin iOS OpenGL context is initialized using different structures.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0026492closedbugmaster Open CASCADE TKOpenGl - OpenGl_FrameBuffer does not releases itself correctly 

-  Notes
(0038920)
git (administrator)
2015-03-26 16:08

Branch CR25973 has been created by kgv.

SHA-1: 4d623d32c2e22bdf4428dfb2a1f5bfeadfdb184a


Detailed log of new commits:

Author: kgv
Date: Mon Mar 23 18:40:53 2015 +0300

    0025973: Visualization, TKOpenGl - support EAGLContext as alternative to NSOpenGLContext
    
    OpenGl_FrameBuffer::InitWithRB() - add method to initialize FBO with Render Buffer Objects.
    OpenGl_FrameBuffer::InitWrapper() - add new method to initialize FBO from currently bound in context.
    
    Aspect_RenderingContext - define type explicitly to EAGLContext* / NSOpenGLContext* for ARC.
    OpenGl_Window - allow initialization from alien context for OS X / iOS.
(0038921)
kgv (developer)
2015-03-26 16:08

Patch is ready for review in branch CR25973.
(0038930)
san (developer)
2015-03-26 22:03

Branch CR25973 reviewed without remarks, ready for testing.
(0038958)
git (administrator)
2015-03-27 19:18

Branch CR25973 has been updated forcibly by mkv.

SHA-1: 22ce89761a4e331d6fc52c1aedc39c05928254c2
(0039013)
mkv (tester)
2015-03-31 12:00

Dear BugMaster,
Branch CR25973 was rebased on current master of occt git-repository.
(0039014)
mkv (tester)
2015-03-31 12:00

Dear BugMaster,
Branch CR25973 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 22ce89761a4e331d6fc52c1aedc39c05928254c2

Number of compiler warnings:

occt component :
Linux: 19 (18 on master)
Windows: 0 (0 on master)

There is new additional compilation warning on Linux platform:
http://jenkins-test-04.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/job/CR25973-master_build_occt_linux/1/warnings17Result/package.-133837126/file.1219863751/ [^]
OpenGl_FrameBuffer.cxx:182, GNU C Compiler 4 (gcc), Priority: Normal
comparison between signed and unsigned integer expressions

products component :
Linux: 4 (11 on master)
Windows: 0 (4 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :

products component :
Total MEMORY difference: 22453770 / 22703823 [-1.10%]
Total CPU difference: 14593.179999999977 / 6845.999999999978 [+113.16%]

Testing on Windows:
occt component :
Total MEMORY difference: 56845621 / 56859601 [-0.02%]
Total CPU difference: 16034.905987199652 / 16113.24968939968 [-0.49%]
products component :
Total MEMORY difference: 12882172 / 12857793 [+0.19%]
Total CPU difference: 5357.9947458999695 / 5347.683079799988 [+0.19%]

There are no differences in images found by testdiff.
(0039016)
git (administrator)
2015-03-31 12:15

Branch CR25973 has been updated by kgv.

SHA-1: 28774d9dd3f1fb2550f18d32002049391c1e2bce


Detailed log of new commits:

Author: kgv
Date: Tue Mar 31 12:15:24 2015 +0300

    suppress new warning in OpenGl_FrameBuffer

(0039017)
kgv (developer)
2015-03-31 12:16

Please check compilation of updated patch, no need in regression testing.
(0039064)
mkv (tester)
2015-03-31 19:44

Dear BugMaster,
Branch CR25973 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms on Release mode.
SHA-1: 28774d9dd3f1fb2550f18d32002049391c1e2bce

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 4 (11 on master)
Windows: 0 (4 on master)
(0039169)
git (administrator)
2015-04-02 16:29

Branch CR25973_1 has been created by kgv.

SHA-1: 19432db047ae59f746ae97f4bcd80083967bbc7f


Detailed log of new commits:

Author: kgv
Date: Thu Apr 2 16:28:54 2015 +0300

    0025973: Visualization, TKOpenGl - support EAGLContext as alternative to NSOpenGLContext
    
    OpenGl_FrameBuffer::InitWithRB() - add method to initialize FBO with Render Buffer Objects.
    OpenGl_FrameBuffer::InitWrapper() - add new method to initialize FBO from currently bound in context.
    
    Aspect_RenderingContext - define type explicitly to EAGLContext* / NSOpenGLContext* for ARC.
    OpenGl_Window - allow initialization from alien context for OS X / iOS.
(0039452)
git (administrator)
2015-04-09 09:49

Branch CR25973 has been deleted by kgv.

SHA-1: 28774d9dd3f1fb2550f18d32002049391c1e2bce
(0039461)
git (administrator)
2015-04-09 09:50

Branch CR25973_1 has been deleted by kgv.

SHA-1: 19432db047ae59f746ae97f4bcd80083967bbc7f

- Related Changesets
occt: master a2e4f780
Timestamp: 2015-04-02 13:28:54
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025973: Visualization, TKOpenGl - support EAGLContext as alternative to NSOpenGLContext

OpenGl_FrameBuffer::InitWithRB() - add method to initialize FBO with Render Buffer Objects.
OpenGl_FrameBuffer::InitWrapper() - add new method to initialize FBO from currently bound in context.

Aspect_RenderingContext - define type explicitly to EAGLContext* / NSOpenGLContext* for ARC.
OpenGl_Window - allow initialization from alien context for OS X / iOS.
mod - src/Aspect/Aspect_RenderingContext.hxx Diff ] File ]
mod - src/Cocoa/Cocoa_LocalPool.hxx Diff ] File ]
mod - src/Cocoa/Cocoa_LocalPool.mm Diff ] File ]
mod - src/Cocoa/Cocoa_Window.hxx Diff ] File ]
mod - src/Cocoa/Cocoa_Window.mm Diff ] File ]
mod - src/NCollection/NCollection_WinHeapAllocator.cxx Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
add - src/OpenGl/Handle_OpenGl_FrameBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context_1.mm Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window_1.mm Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_ViewManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-23 18:40 kgv New Issue
2015-03-23 18:40 kgv Assigned To => kgv
2015-03-26 16:08 git Note Added: 0038920
2015-03-26 16:08 kgv Note Added: 0038921
2015-03-26 16:08 kgv Assigned To kgv => san
2015-03-26 16:08 kgv Status new => resolved
2015-03-26 22:03 san Note Added: 0038930
2015-03-26 22:03 san Assigned To san => bugmaster
2015-03-26 22:03 san Status resolved => reviewed
2015-03-27 16:29 mkv Assigned To bugmaster => mkv
2015-03-27 19:18 git Note Added: 0038958
2015-03-31 12:00 mkv Note Added: 0039013
2015-03-31 12:00 mkv Note Added: 0039014
2015-03-31 12:00 mkv Assigned To mkv => kgv
2015-03-31 12:00 mkv Status reviewed => assigned
2015-03-31 12:01 mkv Test case number => Not needed
2015-03-31 12:15 git Note Added: 0039016
2015-03-31 12:16 kgv Note Added: 0039017
2015-03-31 12:16 kgv Assigned To kgv => bugmaster
2015-03-31 12:16 kgv Status assigned => resolved
2015-03-31 12:16 kgv Status resolved => reviewed
2015-03-31 13:26 mkv Assigned To bugmaster => mkv
2015-03-31 19:44 mkv Note Added: 0039064
2015-03-31 19:44 mkv Assigned To mkv => bugmaster
2015-03-31 19:44 mkv Status reviewed => tested
2015-04-02 16:29 git Note Added: 0039169
2015-04-07 16:08 bugmaster Changeset attached => occt master a2e4f780
2015-04-07 16:08 bugmaster Status tested => verified
2015-04-07 16:08 bugmaster Resolution open => fixed
2015-04-09 09:49 git Note Added: 0039452
2015-04-09 09:50 git Note Added: 0039461
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0
2015-06-20 16:09 kgv Relationship added related to 0025556
2015-07-28 16:20 kgv Relationship added parent of 0026492


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker